Bug 90631 - Web Inspector: display function scope in UI
Summary: Web Inspector: display function scope in UI
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-05 13:50 PDT by Peter Rybin
Modified: 2012-08-07 04:28 PDT (History)
11 users (show)

See Also:


Attachments
This is a draft only, please review on request only (4.68 KB, patch)
2012-07-05 16:25 PDT, Peter Rybin
no flags Details | Formatted Diff | Diff
Patch (10.88 KB, patch)
2012-08-03 12:45 PDT, Peter Rybin
no flags Details | Formatted Diff | Diff
Patch (10.66 KB, patch)
2012-08-06 15:20 PDT, Peter Rybin
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Rybin 2012-07-05 13:50:50 PDT
Function scope is already supported in WebKit Remote Debugging protocol.
Comment 1 Peter Rybin 2012-07-05 16:25:07 PDT
Created attachment 151000 [details]
This is a draft only, please review on request only
Comment 2 Yury Semikhatsky 2012-07-05 23:34:06 PDT
Comment on attachment 151000 [details]
This is a draft only, please review on request only

View in context: https://bugs.webkit.org/attachment.cgi?id=151000&action=review

> Source/WebCore/ChangeLog:8
> +        TBD

Please fill in the change description.

> Source/WebCore/inspector/front-end/ObjectPropertiesSection.js:251
> +            if (this.property.value.type == "function") {

We use === in the front-end code, also no braces for one-line blocks.

> Source/WebCore/inspector/front-end/ObjectPropertiesSection.js:500
> +                var subtitle = " ";

I'd rather assign it to null here.

> Source/WebCore/inspector/front-end/ObjectPropertiesSection.js:502
> +                switch (scope.type) {

style nit: "A case label should line up with its switch statement"

> Source/WebCore/inspector/front-end/ObjectPropertiesSection.js:544
> +        this.hasChildren = true;

Why not initialize this in the constructor?
Comment 3 Peter Rybin 2012-08-03 12:45:12 PDT
Created attachment 156437 [details]
Patch
Comment 4 Yury Semikhatsky 2012-08-05 23:16:04 PDT
Comment on attachment 156437 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=156437&action=review

> Source/WebCore/inspector/front-end/ObjectPropertiesSection.js:451
> +WebInspector.ObjectPropertyTreeElement.Populate = function(treeElement, value) {

style: Populate -> populate

> Source/WebCore/inspector/front-end/ObjectPropertiesSection.js:557
> +    onattach: function()

Please remove this and next methods.

> Source/WebCore/inspector/front-end/ObjectPropertiesSection.js:590
> +    onattach: function()

These two methods can also be removed.
Comment 5 Peter Rybin 2012-08-06 15:20:40 PDT
Created attachment 156771 [details]
Patch
Comment 6 WebKit Review Bot 2012-08-07 04:28:41 PDT
Comment on attachment 156771 [details]
Patch

Clearing flags on attachment: 156771

Committed r124876: <http://trac.webkit.org/changeset/124876>
Comment 7 WebKit Review Bot 2012-08-07 04:28:45 PDT
All reviewed patches have been landed.  Closing bug.